<div class="row">
    <div class="col-md-4">
        <h3>Queues</h3>
        <button class="btn btn-danger" id="xuc_clean_queue_config"><span class="glyphicon glyphicon-remove-circle"></span></button>
        <button class="btn btn-success" id="xuc_get_config_queues" title="get queues">Get queues</button>
        <button class="btn btn-success" id="xuc_queues_recording_on" title="activate all">Activate Rec</button>
        <button class="btn btn-danger" id="xuc_queues_recording_off" title="deactivate all">Deactivate Rec</button>
        <ul class="list-group" id="queue_config"> </ul>
    </div>
    <div class="col-md-4">
        <h3>Queue Members</h3>
        <button class="btn btn-danger" id="xuc_clean_queue_member"><span class="glyphicon glyphicon-remove-circle"></span></button>
        <button class="btn btn-success" id="xuc_get_config_queuemembers" title="get queuemembers">Get Q members</button>
        <ul class="list-group" id="queue_member"> </ul>
    </div>

    <div class="col-md-4">
        <h3>Queue default membership</h3>
        <button class="btn btn-danger" id="xuc_membership_clean"><span class="glyphicon glyphicon-remove-circle"></span></button>
        <button class="btn btn-success" id="xuc_membership_get" title="Get default membership">Get</button>
        <div class="row">
            <div class="col-sm-6">
                <input type="text" class="form-control" placeholder="[{&quot;queueId&quot;:1, &quot;penalty&quot;:5}]" id="xuc_membership_data" value="">
            </div>
            <div class="col-sm-6">
                <button class="btn btn-success" id="xuc_membership_set" title="Set default membership">Set</button>
            </div>
        </div>

        <div class="row">
            <div class="col-sm-6">
                <input type="text" class="form-control" placeholder="[1,4]" id="xuc_membership_users" value="">
            </div>
            <div class="col-sm-6">
                <button class="btn btn-success" id="xuc_membership_apply" title="Apply default for selected users">Apply all</button>
            </div>
        </div>
        <hr>

        <ul class="list-group" id="xuc_membership_event"></ul>
    </div>
</div>
<div class="row">
    <div class="col-md-6">
        <h3>Dial From Queue</h3>
        <input type="text" placeholder="number to call" class="form-control" id="xuc_dial_from_queue_destination">
        <input type="text" placeholder="ID of queue to call from" class="form-control" id="xuc_dial_from_queue_id">
        <input type="text" placeholder="caller name" class="form-control" id="xuc_dial_from_queue_caller_id_name">
        <input type="text" placeholder="caller number" class="form-control" id="xuc_dial_from_queue_caller_id_number">
        <input type="text" placeholder="variables (ex: var1=val1&var2=val2)" class="form-control" id="xuc_dial_from_variables">
        <div class="sep"></div>
        <button class="btn btn-success" id="xuc_dial_from_queue_btn" title="Dial from queue">Dial from queue</button>
    </div>

</div>

<div class="row">
    <div class="col-md-3">
        <h3>Queue Dissuasion</h3>
        <div class="input-group">
            <input id="dissuasion_file_name" type="text" class="form-control" placeholder="New dissuasion file name">
            <span class="input-group-btn">
                <button id="set_dissuasion_sound_file" class="btn btn-success" type="button">Change dissuasion to a sound file</button>
            </span>
        </div>
        <div class="input-group">
            <input id="dissuasion_queue_name" type="text" class="form-control" placeholder="New dissuasion queue name">
            <span class="input-group-btn">
                <button id="set_dissuasion_queue" class="btn btn-success" type="button">Change dissuasion to a queue</button>
            </span>
        </div>
    </div>
    <div class="col-md-6">
        <h3>Queue Stats</h3>
        <button class="btn btn-danger" id="xuc_clean_queue_stats"><span class="glyphicon glyphicon-remove-circle"></span></button>
        <button class="btn btn-success" id="xuc_subscribe_to_queue_stats_btn" title="Subscribe to queue stats">Subscribe to queue stats</button>
        <hr>
        <ul class="list-group" id="queue_stats">
        </ul>
    </div>
    <div class="col-md-3">
        <h3>Queue Calls</h3>
        <div class="row">
            <div class="col-sm-12">
                <button class="btn btn-danger" id="xuc_clean_queue_calls"><span class="glyphicon glyphicon-remove-circle"></span></button>
                <button class="btn btn-success" id="xuc_subscribe_to_queue_calls" title="subscribe to queue calls">Subscribe to Queue calls</button>
                <button class="btn btn-danger" id="xuc_unsubscribe_to_queue_calls" title="unsubscribe to queue calls">Unsubscribe</button>
            </div>
            <div class="col-sm-10">
                <div class="sep"></div>
                <input id="xuc_queue_id_calls" type="text" class="form-control" value="" placeholder="enter Queue Id" title="enter Queue Id">
            </div>
        </div>
        <ul class="list-group" id="queue_calls"> </ul>
        <h4>Retrieve queue call</h4>
        <textarea rows="4" cols="30" id="xuc_queuecall" placeholder="{&quot;position&quot;:1,&quot;name&quot;:null,&quot;number&quot;:&quot;1234&quot;,&quot;queueTime&quot;:&quot;2019-12-09T15:57:40.234+01:00&quot;,&quot;channel&quot;:&quot;SIP/trunk-00000004&quot;}" class="form-control"></textarea>
        <div class="sep"></div>
        <button class="btn btn-success" id="xuc_retrieve_queuecall" title="send flash text">Retrieve</button>
    </div>
</div>

<div class="row">
    <div class="col-sm-6">
        <h3>Queue Dissuasion events</h3>
        <button class="btn btn-danger" id="xuc_clean_queue_dissuasion"><span class="glyphicon glyphicon-remove-circle"></span></button>
        <hr>
        <ul id="xuc_queue_dissuasion" class="list-group"></ul>
    </div>
</div>